net.sf.jasperreports.engine.query

## Class StandardSingleQueryClauseFunctionBundle

- java.lang.Object
- - net.sf.jasperreports.engine.query.StandardSingleQueryClauseFunctionBundle

- All Implemented Interfaces:
    QueryClauseFunctionBundle

      public class StandardSingleQueryClauseFunctionBundle
      extends java.lang.Object
      implements QueryClauseFunctionBundle

  Query clause function bundle for a single query language.
  Version:
    $Id: StandardSingleQueryClauseFunctionBundle.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardSingleQueryClauseFunctionBundle(java.lang.String queryLanguage)` Creates a bundle for a query language

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFunction(java.lang.String clauseId, JRClauseFunction function)` Registers a query clause function.
    `JRClauseFunction` | `getFunction(java.lang.String queryLanguage, java.lang.String clauseId)` Returns a clause function that applies to the specified query language and clause Id.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardSingleQueryClauseFunctionBundle

          public StandardSingleQueryClauseFunctionBundle(java.lang.String queryLanguage)

      Creates a bundle for a query language
      Parameters:
        `queryLanguage` - the query language

  - ### Method Detail

    - #### addFunction

          public void addFunction(java.lang.String clauseId,
                         JRClauseFunction function)

      Registers a query clause function.
      Parameters:
        `clauseId` - the clause Id
        `function` - the function implementation

    - #### getFunction

          public JRClauseFunction getFunction(java.lang.String queryLanguage,
                                     java.lang.String clauseId)

      Description copied from interface: `QueryClauseFunctionBundle`
      Returns a clause function that applies to the specified query language and clause Id.
      Specified by:
        `getFunction` in interface `QueryClauseFunctionBundle`
      Parameters:
        `queryLanguage` - the query language
        `clauseId` - the clause Id
      Returns:
        a corresponding query function or `null` if the bundle doesn't know of such clause

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com